Get the task conversation delta after a sequence
curl --request GET \
--url https://api.runaether.dev/v1/tasks/{taskID}/conversation/delta \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.runaether.dev/v1/tasks/{taskID}/conversation/delta"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.runaether.dev/v1/tasks/{taskID}/conversation/delta', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"activeProcessingTurn": {
"messageId": "<string>",
"startedAt": "<string>"
},
"activity": [
{
"created_at": "<string>",
"data": {
"message_id": "<string>",
"usage": {
"inputTokens": 1,
"outputTokens": 1,
"cachedInputTokens": 1,
"cachedWriteTokens": 1,
"cost": 1,
"metadata": {},
"reasoningOutputTokens": 1,
"totalTokens": 1
}
},
"id": "<string>",
"sequence": 4503599627370495,
"task_id": "<string>",
"type": "done",
"event_id": "<string>"
}
],
"latestSequence": 4503599627370495,
"messages": [
{
"content": "<string>",
"id": "<string>",
"role": "user",
"sequence": 4503599627370495,
"timestamp": "<string>",
"clientMessageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"context": {
"attachments": [
{
"data": "<string>",
"filename": "<string>",
"mediaType": "<string>"
}
],
"files": [
{
"include": true,
"path": "<string>",
"selection": {
"endLine": 2,
"startLine": 2
}
}
]
},
"messageEvent": {
"author": {
"login": "<string>",
"association": "<string>",
"type": "<string>"
},
"body": "<string>",
"kind": "pr_comment",
"prNumber": 2,
"repo": {
"name": "<string>",
"owner": "<string>"
},
"action": "<string>",
"branch": "<string>",
"line": 2,
"path": "<string>",
"reviewState": "<string>",
"url": "<string>"
},
"processingStartedAt": "<string>",
"toolResponse": {
"data": {
"answers": {},
"customAnswers": {}
},
"tool_name": "ask_user"
},
"variant": "text"
}
],
"removedMessageIds": [
"<string>"
],
"task": {
"auto_fix_ci": true,
"auto_fix_pr_comments": true,
"auto_rebase": true,
"created_at": "<string>",
"feed_updated_at": "<string>",
"hardware": {
"cpus": 8,
"memory_mb": 16512,
"volume_size_gb": 250
},
"id": "<string>",
"model": "<string>",
"name": "<string>",
"primary_pull_request": {
"additions": 1,
"checks_failed": 1,
"checks_passed": 1,
"checks_total": 1,
"commits": 1,
"deletions": 1,
"html_url": "<string>",
"lines_changed": 1,
"pr_number": 2,
"title": "<string>",
"branch_name": "<string>"
},
"project_id": "<string>",
"pull_requests": [
{
"additions": 1,
"checks_failed": 1,
"checks_passed": 1,
"checks_total": 1,
"commits": 1,
"deletions": 1,
"html_url": "<string>",
"lines_changed": 1,
"pr_number": 2,
"title": "<string>",
"branch_name": "<string>"
}
],
"review_subject_pull_request": {
"additions": 1,
"checks_failed": 1,
"checks_passed": 1,
"checks_total": 1,
"commits": 1,
"deletions": 1,
"html_url": "<string>",
"lines_changed": 1,
"pr_number": 2,
"title": "<string>",
"branch_name": "<string>"
},
"run_context": {
"started_at": "<string>",
"workspace_id": "<string>"
},
"runtime_timing": {
"state": "inactive"
},
"status": "queued",
"usage": {
"tokens_in": 4503599627370495,
"tokens_out": 4503599627370495,
"vm_uptime_seconds": 1
},
"user_id": "<string>",
"archived_at": "<string>",
"head_branch": "<string>",
"last_error": "<string>",
"latest_sequence": 4503599627370495,
"latest_status_message": "<string>",
"latest_status_source": "<string>",
"slash_commands": [
{
"description": "<string>",
"name": "<string>",
"input": {
"hint": "<string>"
}
}
],
"source_metadata": {}
},
"truncated": true
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Tasks
Get the task conversation delta after a sequence
GET
/
tasks
/
{taskID}
/
conversation
/
delta
Get the task conversation delta after a sequence
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Required range:
0 <= x <= 9007199254740991Response
OK
Show child attributes
Show child attributes
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
Show child attributes
Show child attributes
Required range:
0 <= x <= 9007199254740991- Option 1
- Option 2
- Option 3
- Option 4
Show child attributes
Show child attributes
Minimum string length:
1- Option 1
- Option 2
- Option 3
- Option 4
Show child attributes
Show child attributes
⌘I